For the complete documentation index, see llms.txt. This page is also available as Markdown.

Aufgaben

Manage CRM tasks in VARIO Cloud via API, including task creation, updates, reminders, workflows, relationships, billing and completion.

CRM Aufgaben

Entfernt eine Subscription auf dem Geschäftsobjekt für den Aufrufer

put
Path parameters
idinteger · int64Required

an identifier

Responses
200

OK

No content

put/erp/crm-tasks/{id}/subscription/deactivate
PUT /erp/crm-tasks/{id}/subscription/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

Setzt eine Subscription auf dem Geschäftsobjekt für den Aufrufer

put
Path parameters
idinteger · int64Required

an identifier

Responses
200

OK

No content

put/erp/crm-tasks/{id}/subscription/activate
PUT /erp/crm-tasks/{id}/subscription/activate HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

get
Path parameters
idinteger · int64Required
reminderIdinteger · int64Required
Responses
200

OK

application/json

CRM Erinnerungen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

crmIdinteger · int64Required

ID des CRM Objekts

remindAtstring · date-timeRequired

Erinnerungszeitpunkt

notestringOptional

Notiz zur Erinnerung

criticalbooleanOptional

Kritische Erinnerung?

get/erp/crm-tasks/{id}/reminders/{reminderId}
GET /erp/crm-tasks/{id}/reminders/{reminderId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "crmId": 1,
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "remindAt": "2026-01-01T00:00:00.000Z",
  "note": "text",
  "critical": true
}
put
Path parameters
idinteger · int64Required
reminderIdinteger · int64Required
Body

CRM Erinnerungen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

crmIdinteger · int64Required

ID des CRM Objekts

remindAtstring · date-timeRequired

Erinnerungszeitpunkt

notestringOptional

Notiz zur Erinnerung

criticalbooleanOptional

Kritische Erinnerung?

Responses
200

OK

application/json

CRM Erinnerungen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

crmIdinteger · int64Required

ID des CRM Objekts

remindAtstring · date-timeRequired

Erinnerungszeitpunkt

notestringOptional

Notiz zur Erinnerung

criticalbooleanOptional

Kritische Erinnerung?

put/erp/crm-tasks/{id}/reminders/{reminderId}
PUT /erp/crm-tasks/{id}/reminders/{reminderId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 142

{
  "version": "text",
  "info": {},
  "id": "text",
  "crmId": 1,
  "userRef": {
    "id": "text"
  },
  "remindAt": "2026-01-01T00:00:00.000Z",
  "note": "text",
  "critical": true
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "crmId": 1,
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "remindAt": "2026-01-01T00:00:00.000Z",
  "note": "text",
  "critical": true
}
delete
Path parameters
idinteger · int64Required
reminderIdinteger · int64Required
Responses
200

OK

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/crm-tasks/{id}/reminders/{reminderId}
DELETE /erp/crm-tasks/{id}/reminders/{reminderId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "context": "text",
  "messageValue": "text"
}
put
Path parameters
idinteger · int64Required
Responses
200

OK

application/json

CRM Aufgaben

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

numberstringRead-onlyOptional

Aufgaben-Nummer

descriptionstringOptional

Notiz/Beschreibung

notesstringOptional

Notizen

processedByWorkflowbooleanRead-onlyOptional

In Workflow-Verarbeitung?

labelstring · min: 1Required

Aufgabentitel

dueDateTimestring · date-timeOptional

Zu erledigen

toBeDoneStartingFromstring · date-timeOptional

Zu erledigen ab

effortEstimationinteger · int32Optional

Aufwandsschätzung in Sekunden

effortCommissionedinteger · int32Optional

Beauftragte Zeit in Sekunden

internalRecordedTimesinteger · int32Read-onlyOptional

Erfasste Zeiten in Sekunden (intern)

externalRecordedTimesinteger · int32Read-onlyOptional

Erfasste Zeiten in Sekunden (extern)

internalBilledTimesinteger · int32Read-onlyOptional

Abgerechnete Zeiten in Sekunden (intern)

externalBilledTimesinteger · int32Read-onlyOptional

Abgerechnete Zeiten in Sekunden (extern)

progressinteger · int32 · max: 100Optional

Fortschritt in Prozent

publishbooleanOptional

Soll die Aufgabe veröffentlicht werden?

billingRulestring · enumRequired

Abrechnungsregel

Default: ONLY_COMPLETEPossible values:
billingTypestring · enumRequired

Abrechnungsart von CRM-Aufgaben

Possible values:
kanbanSortOrderinteger · int32Optional

Kanban-Sortierreihenfolge

put/erp/crm-tasks/{id}/finish
PUT /erp/crm-tasks/{id}/finish HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "typeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "stateRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priorityRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "number": "text",
  "description": "text",
  "notes": "text",
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "parentRefs": [],
  "childRefs": [],
  "tags": [],
  "salesDocumentRefs": [],
  "contractRefs": [],
  "observerRefs": [],
  "processedByWorkflow": true,
  "assignedUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedParticipantRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedByUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleParticipantRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "label": "text",
  "references": [],
  "purchaseDocumentRefs": [],
  "customerOfferRef": {
    "id": 1,
    "category": "CUSTOMER_OFFER",
    "documentType": "text",
    "documentState": "text",
    "number": "text"
  },
  "customerOrderRef": {
    "id": 1,
    "category": "CUSTOMER_OFFER",
    "documentType": "text",
    "documentState": "text",
    "number": "text"
  },
  "billingDocumentRefs": [],
  "customField": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "nodeType": "ARRAY",
    "string": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "missingNode": true,
    "valueNode": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "container": true,
    "number": true,
    "embeddedValue": true
  },
  "checklist": [],
  "dueDateTime": "2026-01-01T00:00:00.000Z",
  "toBeDoneStartingFrom": "2026-01-01T00:00:00.000Z",
  "reminders": [],
  "effortEstimation": 1,
  "effortCommissioned": 1,
  "internalRecordedTimes": 1,
  "externalRecordedTimes": 1,
  "internalBilledTimes": 1,
  "externalBilledTimes": 1,
  "progress": 1,
  "publish": true,
  "billingRule": "ONLY_COMPLETE",
  "billingType": "UNCLEAR",
  "relatedToTaskRefs": [],
  "duplicatesTaskRefs": [],
  "duplicatedByTaskRefs": [],
  "blocksTaskRefs": [],
  "blockedByTaskRefs": [],
  "responsibleCustomerPersonRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "kanbanSortOrder": 1,
  "additionalParticipantsOfCustomer": [],
  "additionalParticipantsOfContractor": []
}

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json

CRM Aufgaben

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

numberstringRead-onlyOptional

Aufgaben-Nummer

descriptionstringOptional

Notiz/Beschreibung

notesstringOptional

Notizen

processedByWorkflowbooleanRead-onlyOptional

In Workflow-Verarbeitung?

labelstring · min: 1Required

Aufgabentitel

dueDateTimestring · date-timeOptional

Zu erledigen

toBeDoneStartingFromstring · date-timeOptional

Zu erledigen ab

effortEstimationinteger · int32Optional

Aufwandsschätzung in Sekunden

effortCommissionedinteger · int32Optional

Beauftragte Zeit in Sekunden

internalRecordedTimesinteger · int32Read-onlyOptional

Erfasste Zeiten in Sekunden (intern)

externalRecordedTimesinteger · int32Read-onlyOptional

Erfasste Zeiten in Sekunden (extern)

internalBilledTimesinteger · int32Read-onlyOptional

Abgerechnete Zeiten in Sekunden (intern)

externalBilledTimesinteger · int32Read-onlyOptional

Abgerechnete Zeiten in Sekunden (extern)

progressinteger · int32 · max: 100Optional

Fortschritt in Prozent

publishbooleanOptional

Soll die Aufgabe veröffentlicht werden?

billingRulestring · enumRequired

Abrechnungsregel

Default: ONLY_COMPLETEPossible values:
billingTypestring · enumRequired

Abrechnungsart von CRM-Aufgaben

Possible values:
kanbanSortOrderinteger · int32Optional

Kanban-Sortierreihenfolge

get/erp/crm-tasks/{id}
GET /erp/crm-tasks/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "typeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "stateRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priorityRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "number": "text",
  "description": "text",
  "notes": "text",
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "parentRefs": [],
  "childRefs": [],
  "tags": [],
  "salesDocumentRefs": [],
  "contractRefs": [],
  "observerRefs": [],
  "processedByWorkflow": true,
  "assignedUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedParticipantRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedByUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleParticipantRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "label": "text",
  "references": [],
  "purchaseDocumentRefs": [],
  "customerOfferRef": {
    "id": 1,
    "category": "CUSTOMER_OFFER",
    "documentType": "text",
    "documentState": "text",
    "number": "text"
  },
  "customerOrderRef": {
    "id": 1,
    "category": "CUSTOMER_OFFER",
    "documentType": "text",
    "documentState": "text",
    "number": "text"
  },
  "billingDocumentRefs": [],
  "customField": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "nodeType": "ARRAY",
    "string": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "missingNode": true,
    "valueNode": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "container": true,
    "number": true,
    "embeddedValue": true
  },
  "checklist": [],
  "dueDateTime": "2026-01-01T00:00:00.000Z",
  "toBeDoneStartingFrom": "2026-01-01T00:00:00.000Z",
  "reminders": [],
  "effortEstimation": 1,
  "effortCommissioned": 1,
  "internalRecordedTimes": 1,
  "externalRecordedTimes": 1,
  "internalBilledTimes": 1,
  "externalBilledTimes": 1,
  "progress": 1,
  "publish": true,
  "billingRule": "ONLY_COMPLETE",
  "billingType": "UNCLEAR",
  "relatedToTaskRefs": [],
  "duplicatesTaskRefs": [],
  "duplicatedByTaskRefs": [],
  "blocksTaskRefs": [],
  "blockedByTaskRefs": [],
  "responsibleCustomerPersonRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "kanbanSortOrder": 1,
  "additionalParticipantsOfCustomer": [],
  "additionalParticipantsOfContractor": []
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body

Request zur Erstellung oder Aktualisierung einer Aufgabe

Responses
200

successful operation

application/json

CRM Aufgaben

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

numberstringRead-onlyOptional

Aufgaben-Nummer

descriptionstringOptional

Notiz/Beschreibung

notesstringOptional

Notizen

processedByWorkflowbooleanRead-onlyOptional

In Workflow-Verarbeitung?

labelstring · min: 1Required

Aufgabentitel

dueDateTimestring · date-timeOptional

Zu erledigen

toBeDoneStartingFromstring · date-timeOptional

Zu erledigen ab

effortEstimationinteger · int32Optional

Aufwandsschätzung in Sekunden

effortCommissionedinteger · int32Optional

Beauftragte Zeit in Sekunden

internalRecordedTimesinteger · int32Read-onlyOptional

Erfasste Zeiten in Sekunden (intern)

externalRecordedTimesinteger · int32Read-onlyOptional

Erfasste Zeiten in Sekunden (extern)

internalBilledTimesinteger · int32Read-onlyOptional

Abgerechnete Zeiten in Sekunden (intern)

externalBilledTimesinteger · int32Read-onlyOptional

Abgerechnete Zeiten in Sekunden (extern)

progressinteger · int32 · max: 100Optional

Fortschritt in Prozent

publishbooleanOptional

Soll die Aufgabe veröffentlicht werden?

billingRulestring · enumRequired

Abrechnungsregel

Default: ONLY_COMPLETEPossible values:
billingTypestring · enumRequired

Abrechnungsart von CRM-Aufgaben

Possible values:
kanbanSortOrderinteger · int32Optional

Kanban-Sortierreihenfolge

put/erp/crm-tasks/{id}
PUT /erp/crm-tasks/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1780

{
  "toCreateOrUpdate": {
    "version": "text",
    "info": {},
    "id": "text",
    "typeRef": {
      "id": "text"
    },
    "stateRef": {
      "id": "text"
    },
    "priorityRef": {
      "id": "text"
    },
    "description": "text",
    "notes": "text",
    "accountRef": {
      "id": "text"
    },
    "parentRefs": [],
    "childRefs": [],
    "tags": [],
    "salesDocumentRefs": [],
    "contractRefs": [],
    "observerRefs": [],
    "assignedUserRef": {
      "id": "text"
    },
    "assignedGroupRef": {
      "id": "text"
    },
    "assignedParticipantRef": {
      "id": "text"
    },
    "assignedByUserRef": {
      "id": "text"
    },
    "mainResponsibleUserRef": {
      "id": "text"
    },
    "mainResponsibleGroupRef": {
      "id": "text"
    },
    "mainResponsibleParticipantRef": {
      "id": "text"
    },
    "label": "text",
    "references": [],
    "purchaseDocumentRefs": [],
    "customerOfferRef": {
      "id": 1,
      "category": "CUSTOMER_OFFER",
      "documentType": "text",
      "documentState": "text",
      "number": "text"
    },
    "customerOrderRef": {
      "id": 1,
      "category": "CUSTOMER_OFFER",
      "documentType": "text",
      "documentState": "text",
      "number": "text"
    },
    "billingDocumentRefs": [],
    "customField": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "nodeType": "ARRAY",
      "string": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "missingNode": true,
      "valueNode": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "container": true,
      "number": true,
      "embeddedValue": true
    },
    "checklist": [],
    "dueDateTime": "2026-01-01T00:00:00.000Z",
    "toBeDoneStartingFrom": "2026-01-01T00:00:00.000Z",
    "reminders": [],
    "effortEstimation": 1,
    "effortCommissioned": 1,
    "progress": 1,
    "publish": true,
    "billingRule": "ONLY_COMPLETE",
    "billingType": "UNCLEAR",
    "relatedToTaskRefs": [],
    "duplicatesTaskRefs": [],
    "duplicatedByTaskRefs": [],
    "blocksTaskRefs": [],
    "blockedByTaskRefs": [],
    "responsibleCustomerPersonRef": {
      "id": "text"
    },
    "kanbanSortOrder": 1,
    "additionalParticipantsOfCustomer": [],
    "additionalParticipantsOfContractor": []
  },
  "parameters": []
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "typeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "stateRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priorityRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "number": "text",
  "description": "text",
  "notes": "text",
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "parentRefs": [],
  "childRefs": [],
  "tags": [],
  "salesDocumentRefs": [],
  "contractRefs": [],
  "observerRefs": [],
  "processedByWorkflow": true,
  "assignedUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedParticipantRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedByUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleParticipantRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "label": "text",
  "references": [],
  "purchaseDocumentRefs": [],
  "customerOfferRef": {
    "id": 1,
    "category": "CUSTOMER_OFFER",
    "documentType": "text",
    "documentState": "text",
    "number": "text"
  },
  "customerOrderRef": {
    "id": 1,
    "category": "CUSTOMER_OFFER",
    "documentType": "text",
    "documentState": "text",
    "number": "text"
  },
  "billingDocumentRefs": [],
  "customField": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "nodeType": "ARRAY",
    "string": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "missingNode": true,
    "valueNode": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "container": true,
    "number": true,
    "embeddedValue": true
  },
  "checklist": [],
  "dueDateTime": "2026-01-01T00:00:00.000Z",
  "toBeDoneStartingFrom": "2026-01-01T00:00:00.000Z",
  "reminders": [],
  "effortEstimation": 1,
  "effortCommissioned": 1,
  "internalRecordedTimes": 1,
  "externalRecordedTimes": 1,
  "internalBilledTimes": 1,
  "externalBilledTimes": 1,
  "progress": 1,
  "publish": true,
  "billingRule": "ONLY_COMPLETE",
  "billingType": "UNCLEAR",
  "relatedToTaskRefs": [],
  "duplicatesTaskRefs": [],
  "duplicatedByTaskRefs": [],
  "blocksTaskRefs": [],
  "blockedByTaskRefs": [],
  "responsibleCustomerPersonRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "kanbanSortOrder": 1,
  "additionalParticipantsOfCustomer": [],
  "additionalParticipantsOfContractor": []
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/crm-tasks/{id}
DELETE /erp/crm-tasks/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Patch existing Resource

patch
Path parameters
idinteger · int64Required

an identifier

Body

Search-Dialog

emptybooleanOptional
arraybooleanOptional
nullbooleanOptional
objectbooleanOptional
floatbooleanOptional
nodeTypestring · enumOptionalPossible values:
stringbooleanOptional
integralNumberbooleanOptional
floatingPointNumberbooleanOptional
missingNodebooleanOptional
valueNodebooleanOptional
pojobooleanOptional
shortbooleanOptional
intbooleanOptional
longbooleanOptional
doublebooleanOptional
bigDecimalbooleanOptional
bigIntegerbooleanOptional
textualbooleanOptionalDeprecated
booleanbooleanOptional
binarybooleanOptional
containerbooleanOptional
numberbooleanOptional
embeddedValuebooleanOptional
Responses
200

successful operation

application/json

CRM Aufgaben

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

numberstringRead-onlyOptional

Aufgaben-Nummer

descriptionstringOptional

Notiz/Beschreibung

notesstringOptional

Notizen

processedByWorkflowbooleanRead-onlyOptional

In Workflow-Verarbeitung?

labelstring · min: 1Required

Aufgabentitel

dueDateTimestring · date-timeOptional

Zu erledigen

toBeDoneStartingFromstring · date-timeOptional

Zu erledigen ab

effortEstimationinteger · int32Optional

Aufwandsschätzung in Sekunden

effortCommissionedinteger · int32Optional

Beauftragte Zeit in Sekunden

internalRecordedTimesinteger · int32Read-onlyOptional

Erfasste Zeiten in Sekunden (intern)

externalRecordedTimesinteger · int32Read-onlyOptional

Erfasste Zeiten in Sekunden (extern)

internalBilledTimesinteger · int32Read-onlyOptional

Abgerechnete Zeiten in Sekunden (intern)

externalBilledTimesinteger · int32Read-onlyOptional

Abgerechnete Zeiten in Sekunden (extern)

progressinteger · int32 · max: 100Optional

Fortschritt in Prozent

publishbooleanOptional

Soll die Aufgabe veröffentlicht werden?

billingRulestring · enumRequired

Abrechnungsregel

Default: ONLY_COMPLETEPossible values:
billingTypestring · enumRequired

Abrechnungsart von CRM-Aufgaben

Possible values:
kanbanSortOrderinteger · int32Optional

Kanban-Sortierreihenfolge

patch/erp/crm-tasks/{id}
PATCH /erp/crm-tasks/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 363

{
  "empty": true,
  "array": true,
  "null": true,
  "object": true,
  "float": true,
  "nodeType": "ARRAY",
  "string": true,
  "integralNumber": true,
  "floatingPointNumber": true,
  "missingNode": true,
  "valueNode": true,
  "pojo": true,
  "short": true,
  "int": true,
  "long": true,
  "double": true,
  "bigDecimal": true,
  "bigInteger": true,
  "boolean": true,
  "binary": true,
  "container": true,
  "number": true,
  "embeddedValue": true
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "typeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "stateRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priorityRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "number": "text",
  "description": "text",
  "notes": "text",
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "parentRefs": [],
  "childRefs": [],
  "tags": [],
  "salesDocumentRefs": [],
  "contractRefs": [],
  "observerRefs": [],
  "processedByWorkflow": true,
  "assignedUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedParticipantRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedByUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleParticipantRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "label": "text",
  "references": [],
  "purchaseDocumentRefs": [],
  "customerOfferRef": {
    "id": 1,
    "category": "CUSTOMER_OFFER",
    "documentType": "text",
    "documentState": "text",
    "number": "text"
  },
  "customerOrderRef": {
    "id": 1,
    "category": "CUSTOMER_OFFER",
    "documentType": "text",
    "documentState": "text",
    "number": "text"
  },
  "billingDocumentRefs": [],
  "customField": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "nodeType": "ARRAY",
    "string": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "missingNode": true,
    "valueNode": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "container": true,
    "number": true,
    "embeddedValue": true
  },
  "checklist": [],
  "dueDateTime": "2026-01-01T00:00:00.000Z",
  "toBeDoneStartingFrom": "2026-01-01T00:00:00.000Z",
  "reminders": [],
  "effortEstimation": 1,
  "effortCommissioned": 1,
  "internalRecordedTimes": 1,
  "externalRecordedTimes": 1,
  "internalBilledTimes": 1,
  "externalBilledTimes": 1,
  "progress": 1,
  "publish": true,
  "billingRule": "ONLY_COMPLETE",
  "billingType": "UNCLEAR",
  "relatedToTaskRefs": [],
  "duplicatesTaskRefs": [],
  "duplicatedByTaskRefs": [],
  "blocksTaskRefs": [],
  "blockedByTaskRefs": [],
  "responsibleCustomerPersonRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "kanbanSortOrder": 1,
  "additionalParticipantsOfCustomer": [],
  "additionalParticipantsOfContractor": []
}
get
Path parameters
childIdinteger · int64Required
Responses
200

OK

application/json

Referenz auf ein CRM-Objekt

idinteger · int64Required

ID

typestring · enumRequired

Möglich CRM-Typen

Possible values:
numberstringOptional

Nummer

labelstringOptional

Bezeichung

descriptionstringOptional

Beschreibung

get/erp/crm-tasks/parent/{childId}
GET /erp/crm-tasks/parent/{childId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
put
Path parameters
childIdinteger · int64Required
Body

Request zur Aktualisierung der CRM-Parents

Responses
200

OK

application/json
contextstringOptional

message context

messageValuestringOptional

message

put/erp/crm-tasks/parent/{childId}
PUT /erp/crm-tasks/parent/{childId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 14

{
  "parents": []
}
200

OK

{
  "context": "text",
  "messageValue": "text"
}
delete
Path parameters
childIdinteger · int64Required
Responses
200

OK

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/crm-tasks/parent/{childId}
DELETE /erp/crm-tasks/parent/{childId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "context": "text",
  "messageValue": "text"
}
get
Path parameters
parentIdinteger · int64Required
Responses
200

OK

application/json

Referenz auf ein CRM-Objekt

idinteger · int64Required

ID

typestring · enumRequired

Möglich CRM-Typen

Possible values:
numberstringOptional

Nummer

labelstringOptional

Bezeichung

descriptionstringOptional

Beschreibung

get/erp/crm-tasks/children/{parentId}
GET /erp/crm-tasks/children/{parentId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
put
Path parameters
parentIdinteger · int64Required
Body

Request zur Aktualisierung der CRM-Children

Responses
200

OK

application/json

Referenz auf ein CRM-Objekt

idinteger · int64Required

ID

typestring · enumRequired

Möglich CRM-Typen

Possible values:
numberstringOptional

Nummer

labelstringOptional

Bezeichung

descriptionstringOptional

Beschreibung

put/erp/crm-tasks/children/{parentId}
PUT /erp/crm-tasks/children/{parentId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "children": []
}
200

OK

[]
delete
Path parameters
parentIdinteger · int64Required
Responses
200

OK

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/crm-tasks/children/{parentId}
DELETE /erp/crm-tasks/children/{parentId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "context": "text",
  "messageValue": "text"
}
post
Path parameters
idinteger · int64Required
Body

CRM Erinnerungen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

crmIdinteger · int64Required

ID des CRM Objekts

remindAtstring · date-timeRequired

Erinnerungszeitpunkt

notestringOptional

Notiz zur Erinnerung

criticalbooleanOptional

Kritische Erinnerung?

Responses
200

OK

application/json

CRM Erinnerungen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

crmIdinteger · int64Required

ID des CRM Objekts

remindAtstring · date-timeRequired

Erinnerungszeitpunkt

notestringOptional

Notiz zur Erinnerung

criticalbooleanOptional

Kritische Erinnerung?

post/erp/crm-tasks/{id}/reminders/
POST /erp/crm-tasks/{id}/reminders/ HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 142

{
  "version": "text",
  "info": {},
  "id": "text",
  "crmId": 1,
  "userRef": {
    "id": "text"
  },
  "remindAt": "2026-01-01T00:00:00.000Z",
  "note": "text",
  "critical": true
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "crmId": 1,
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "remindAt": "2026-01-01T00:00:00.000Z",
  "note": "text",
  "critical": true
}
post
Path parameters
idinteger · int64Required
Responses
200

OK

application/json

CRM Aufgaben

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

numberstringRead-onlyOptional

Aufgaben-Nummer

descriptionstringOptional

Notiz/Beschreibung

notesstringOptional

Notizen

processedByWorkflowbooleanRead-onlyOptional

In Workflow-Verarbeitung?

labelstring · min: 1Required

Aufgabentitel

dueDateTimestring · date-timeOptional

Zu erledigen

toBeDoneStartingFromstring · date-timeOptional

Zu erledigen ab

effortEstimationinteger · int32Optional

Aufwandsschätzung in Sekunden

effortCommissionedinteger · int32Optional

Beauftragte Zeit in Sekunden

internalRecordedTimesinteger · int32Read-onlyOptional

Erfasste Zeiten in Sekunden (intern)

externalRecordedTimesinteger · int32Read-onlyOptional

Erfasste Zeiten in Sekunden (extern)

internalBilledTimesinteger · int32Read-onlyOptional

Abgerechnete Zeiten in Sekunden (intern)

externalBilledTimesinteger · int32Read-onlyOptional

Abgerechnete Zeiten in Sekunden (extern)

progressinteger · int32 · max: 100Optional

Fortschritt in Prozent

publishbooleanOptional

Soll die Aufgabe veröffentlicht werden?

billingRulestring · enumRequired

Abrechnungsregel

Default: ONLY_COMPLETEPossible values:
billingTypestring · enumRequired

Abrechnungsart von CRM-Aufgaben

Possible values:
kanbanSortOrderinteger · int32Optional

Kanban-Sortierreihenfolge

post/erp/crm-tasks/{id}/reactivate
POST /erp/crm-tasks/{id}/reactivate HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "typeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "stateRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priorityRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "number": "text",
  "description": "text",
  "notes": "text",
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "parentRefs": [],
  "childRefs": [],
  "tags": [],
  "salesDocumentRefs": [],
  "contractRefs": [],
  "observerRefs": [],
  "processedByWorkflow": true,
  "assignedUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedParticipantRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedByUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleParticipantRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "label": "text",
  "references": [],
  "purchaseDocumentRefs": [],
  "customerOfferRef": {
    "id": 1,
    "category": "CUSTOMER_OFFER",
    "documentType": "text",
    "documentState": "text",
    "number": "text"
  },
  "customerOrderRef": {
    "id": 1,
    "category": "CUSTOMER_OFFER",
    "documentType": "text",
    "documentState": "text",
    "number": "text"
  },
  "billingDocumentRefs": [],
  "customField": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "nodeType": "ARRAY",
    "string": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "missingNode": true,
    "valueNode": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "container": true,
    "number": true,
    "embeddedValue": true
  },
  "checklist": [],
  "dueDateTime": "2026-01-01T00:00:00.000Z",
  "toBeDoneStartingFrom": "2026-01-01T00:00:00.000Z",
  "reminders": [],
  "effortEstimation": 1,
  "effortCommissioned": 1,
  "internalRecordedTimes": 1,
  "externalRecordedTimes": 1,
  "internalBilledTimes": 1,
  "externalBilledTimes": 1,
  "progress": 1,
  "publish": true,
  "billingRule": "ONLY_COMPLETE",
  "billingType": "UNCLEAR",
  "relatedToTaskRefs": [],
  "duplicatesTaskRefs": [],
  "duplicatedByTaskRefs": [],
  "blocksTaskRefs": [],
  "blockedByTaskRefs": [],
  "responsibleCustomerPersonRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "kanbanSortOrder": 1,
  "additionalParticipantsOfCustomer": [],
  "additionalParticipantsOfContractor": []
}
post
Path parameters
idinteger · int64Required
Query parameters
direct-order-to-invoicebooleanOptional
Responses
200

OK

application/json

CRM Aufgaben

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

numberstringRead-onlyOptional

Aufgaben-Nummer

descriptionstringOptional

Notiz/Beschreibung

notesstringOptional

Notizen

processedByWorkflowbooleanRead-onlyOptional

In Workflow-Verarbeitung?

labelstring · min: 1Required

Aufgabentitel

dueDateTimestring · date-timeOptional

Zu erledigen

toBeDoneStartingFromstring · date-timeOptional

Zu erledigen ab

effortEstimationinteger · int32Optional

Aufwandsschätzung in Sekunden

effortCommissionedinteger · int32Optional

Beauftragte Zeit in Sekunden

internalRecordedTimesinteger · int32Read-onlyOptional

Erfasste Zeiten in Sekunden (intern)

externalRecordedTimesinteger · int32Read-onlyOptional

Erfasste Zeiten in Sekunden (extern)

internalBilledTimesinteger · int32Read-onlyOptional

Abgerechnete Zeiten in Sekunden (intern)

externalBilledTimesinteger · int32Read-onlyOptional

Abgerechnete Zeiten in Sekunden (extern)

progressinteger · int32 · max: 100Optional

Fortschritt in Prozent

publishbooleanOptional

Soll die Aufgabe veröffentlicht werden?

billingRulestring · enumRequired

Abrechnungsregel

Default: ONLY_COMPLETEPossible values:
billingTypestring · enumRequired

Abrechnungsart von CRM-Aufgaben

Possible values:
kanbanSortOrderinteger · int32Optional

Kanban-Sortierreihenfolge

post/erp/crm-tasks/{id}/perform-billing
POST /erp/crm-tasks/{id}/perform-billing HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "typeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "stateRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "priorityRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "number": "text",
  "description": "text",
  "notes": "text",
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "parentRefs": [],
  "childRefs": [],
  "tags": [],
  "salesDocumentRefs": [],
  "contractRefs": [],
  "observerRefs": [],
  "processedByWorkflow": true,
  "assignedUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedParticipantRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "assignedByUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleUserRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "mainResponsibleParticipantRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "label": "text",
  "references": [],
  "purchaseDocumentRefs": [],
  "customerOfferRef": {
    "id": 1,
    "category": "CUSTOMER_OFFER",
    "documentType": "text",
    "documentState": "text",
    "number": "text"
  },
  "customerOrderRef": {
    "id": 1,
    "category": "CUSTOMER_OFFER",
    "documentType": "text",
    "documentState": "text",
    "number": "text"
  },
  "billingDocumentRefs": [],
  "customField": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "nodeType": "ARRAY",
    "string": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "missingNode": true,
    "valueNode": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "container": true,
    "number": true,
    "embeddedValue": true
  },
  "checklist": [],
  "dueDateTime": "2026-01-01T00:00:00.000Z",
  "toBeDoneStartingFrom": "2026-01-01T00:00:00.000Z",
  "reminders": [],
  "effortEstimation": 1,
  "effortCommissioned": 1,
  "internalRecordedTimes": 1,
  "externalRecordedTimes": 1,
  "internalBilledTimes": 1,
  "externalBilledTimes": 1,
  "progress": 1,
  "publish": true,
  "billingRule": "ONLY_COMPLETE",
  "billingType": "UNCLEAR",
  "relatedToTaskRefs": [],
  "duplicatesTaskRefs": [],
  "duplicatedByTaskRefs": [],
  "blocksTaskRefs": [],
  "blockedByTaskRefs": [],
  "responsibleCustomerPersonRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "kanbanSortOrder": 1,
  "additionalParticipantsOfCustomer": [],
  "additionalParticipantsOfContractor": []
}
post
Body

Request zur Durchführung der Abrechnung von Aufgaben

crmTaskIdsToIgnoreinteger · int64[]Optional

IDs von Aufgaben, die nicht abgerechnet werden sollen

crmTaskIdsToBillinteger · int64[]Optional

IDs von Aufgaben, die abgerechnet werden sollen

createCollectiveInvoicePerAccountbooleanOptional

Sammelrechnung pro Account erstellen

Default: false
Responses
200

OK

application/json
contextstringOptional

message context

messageValuestringOptional

message

post/erp/crm-tasks/perform-billing
POST /erp/crm-tasks/perform-billing HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 272

{
  "variables": {
    "variableSubstitutions": []
  },
  "queryPredicate": {
    "type": "JUNCTION",
    "operator": "AND",
    "children": [],
    "property": "text",
    "values": [
      "text"
    ],
    "visible": true,
    "functions": [
      "text"
    ]
  },
  "crmTaskIdsToIgnore": [
    1
  ],
  "crmTaskIdsToBill": [
    1
  ],
  "createCollectiveInvoicePerAccount": false
}
200

OK

{
  "context": "text",
  "messageValue": "text"
}

Neue Aufgabe(n) erzeugen

post
Body
Responses
200

successful operation

application/json

Antwort auf die Anfrage, Aufgaben zu erstellen

post/erp/crm-tasks
POST /erp/crm-tasks HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1803

{
  "crmTask": {
    "version": "text",
    "info": {},
    "id": "text",
    "typeRef": {
      "id": "text"
    },
    "stateRef": {
      "id": "text"
    },
    "priorityRef": {
      "id": "text"
    },
    "description": "text",
    "notes": "text",
    "accountRef": {
      "id": "text"
    },
    "parentRefs": [],
    "childRefs": [],
    "tags": [],
    "salesDocumentRefs": [],
    "contractRefs": [],
    "observerRefs": [],
    "assignedUserRef": {
      "id": "text"
    },
    "assignedGroupRef": {
      "id": "text"
    },
    "assignedParticipantRef": {
      "id": "text"
    },
    "assignedByUserRef": {
      "id": "text"
    },
    "mainResponsibleUserRef": {
      "id": "text"
    },
    "mainResponsibleGroupRef": {
      "id": "text"
    },
    "mainResponsibleParticipantRef": {
      "id": "text"
    },
    "label": "text",
    "references": [],
    "purchaseDocumentRefs": [],
    "customerOfferRef": {
      "id": 1,
      "category": "CUSTOMER_OFFER",
      "documentType": "text",
      "documentState": "text",
      "number": "text"
    },
    "customerOrderRef": {
      "id": 1,
      "category": "CUSTOMER_OFFER",
      "documentType": "text",
      "documentState": "text",
      "number": "text"
    },
    "billingDocumentRefs": [],
    "customField": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "nodeType": "ARRAY",
      "string": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "missingNode": true,
      "valueNode": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "container": true,
      "number": true,
      "embeddedValue": true
    },
    "checklist": [],
    "dueDateTime": "2026-01-01T00:00:00.000Z",
    "toBeDoneStartingFrom": "2026-01-01T00:00:00.000Z",
    "reminders": [],
    "effortEstimation": 1,
    "effortCommissioned": 1,
    "progress": 1,
    "publish": true,
    "billingRule": "ONLY_COMPLETE",
    "billingType": "UNCLEAR",
    "relatedToTaskRefs": [],
    "duplicatesTaskRefs": [],
    "duplicatedByTaskRefs": [],
    "blocksTaskRefs": [],
    "blockedByTaskRefs": [],
    "responsibleCustomerPersonRef": {
      "id": "text"
    },
    "kanbanSortOrder": 1,
    "additionalParticipantsOfCustomer": [],
    "additionalParticipantsOfContractor": []
  },
  "createTemplateIdsWithTasks": [],
  "parameters": []
}
{
  "createdCrmTasks": [],
  "warningsByTemplateRef": {
    "ANY_ADDITIONAL_PROPERTY": []
  }
}

Liefert den Status der aktuellen Workflow-Instanz zu der gegebenen Referenz

get
Path parameters
refIdinteger · int64Required
Responses
200

Workflow-Instanz gefunden

application/json
string · enumOptional

Status einer Workflow-Instanz

Possible values:
get/erp/crm-tasks/{refId}/workflow-state
GET /erp/crm-tasks/{refId}/workflow-state HTTP/1.1
Host: api.example.com
Accept: */*
CREATED

Liefert ein Query-Preset zur Selektion aller Workflow-Instanzen zu der gegebenen Referenz

get
Path parameters
refIdinteger · int64Required
Responses
200

Workflow-Instanz gefunden

application/json

Adhoc Preset

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

modestring · enumRequired

Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT

Default: QUERYPossible values:
templateIdstring · min: 1Required

template dem dieser filter zugeordnet worden ist.

templateGroupKeystring · min: 1Required

templateGroupKey dem dieser filter zugeordnet worden ist.

labelstring · min: 1Required

label für diesen filter

queryStatementstringOptional

bei mode == STATEMENT, das vql-query

forWorkflowbooleanRequired

für Workflows vorgesehen

Default: false
outputReportGroupIdentifierstringOptional

Identifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird

get/erp/crm-tasks/{refId}/workflow-instances-preset
GET /erp/crm-tasks/{refId}/workflow-instances-preset HTTP/1.1
Host: api.example.com
Accept: */*
200

Workflow-Instanz gefunden

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "mode": "QUERY",
  "templateId": "text",
  "templateGroupKey": "text",
  "label": "text",
  "uiPayload": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "nodeType": "ARRAY",
    "string": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "missingNode": true,
    "valueNode": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "container": true,
    "number": true,
    "embeddedValue": true
  },
  "variables": [],
  "queryStatement": "text",
  "queryPredicate": {
    "type": "JUNCTION",
    "operator": "AND",
    "children": [],
    "property": "text",
    "values": [
      "text"
    ],
    "visible": true,
    "functions": [
      "text"
    ]
  },
  "results": [],
  "sortAndOrders": [],
  "pageable": {
    "limit": 1
  },
  "option": {
    "distinctResult": true
  },
  "transformations": [],
  "arithmeticQueryTerms": [],
  "definition": [
    {
      "_type": "text",
      "definition": "[Circular Reference]",
      "value": "[Circular Reference]"
    }
  ],
  "permissionAggregation": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "userPermissions": [],
    "groupPermissions": [],
    "operationForAllUsers": "READ_ONLY"
  },
  "forWorkflow": false,
  "outputReportGroupIdentifier": "text",
  "userOptions": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "pinned": false
  }
}

Liefert die neuste Workflow-Instanz zu der gegebenen Referenz

get
Path parameters
refIdinteger · int64Required
Responses
200

Workflow-Instanz gefunden

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

statestring · enumOptional

Status einer Workflow-Instanz

Possible values:
get/erp/crm-tasks/{refId}/latest-workflow-instance
GET /erp/crm-tasks/{refId}/latest-workflow-instance HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "state": "CREATED",
  "workflowRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "workItems": [],
  "logEntries": []
}

Liefert alle Subscription auf dem Geschäftsobjekt

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

OK

application/json

Übergeordnete Kategorie

idstringRequired

Identifier

labelstringRead-onlyOptional

a label

descriptionstringRead-onlyOptional

a short description

activebooleanRead-onlyOptional

Activ

get/erp/crm-tasks/{id}/subscription
GET /erp/crm-tasks/{id}/subscription HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
get
Path parameters
idinteger · int64Required
Responses
200

OK

application/json

CRM Erinnerungen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

crmIdinteger · int64Required

ID des CRM Objekts

remindAtstring · date-timeRequired

Erinnerungszeitpunkt

notestringOptional

Notiz zur Erinnerung

criticalbooleanOptional

Kritische Erinnerung?

get/erp/crm-tasks/{id}/reminders
GET /erp/crm-tasks/{id}/reminders HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
get
Responses
200

OK

application/json

CRM Erinnerungen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

crmIdinteger · int64Required

ID des CRM Objekts

remindAtstring · date-timeRequired

Erinnerungszeitpunkt

notestringOptional

Notiz zur Erinnerung

criticalbooleanOptional

Kritische Erinnerung?

get/erp/crm-tasks/reminders
GET /erp/crm-tasks/reminders HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]

Last updated

Was this helpful?